Lavalite package that provides h_s_v1_a_n_d_h_s_v2 management facility for the cms.

## Installation

Run the below command form the root folder of lavalite.

```
    composer require "cure/h_s_v1_a_n_d_h_s_v2"
```


## Migration and seeds

```
    php artisan migrate
    php artisan db:seed --class=Cure\\HSV1ANDHSV2\\Seeders\\HSV1ANDHSV2TableSeeder
```

## Publishing

* Configuration
```
    php artisan vendor:publish --provider="Cure\HSV1ANDHSV2\Providers\HSV1ANDHSV2ServiceProvider" --tag="config"
```
* Language
```
    php artisan vendor:publish --provider="Cure\HSV1ANDHSV2\Providers\HSV1ANDHSV2ServiceProvider" --tag="lang"
```
* Views
```
    php artisan vendor:publish --provider="Cure\HSV1ANDHSV2\Providers\HSV1ANDHSV2ServiceProvider" --tag="view"
```


## URLs and APIs


### Web Urls

* Admin
```
    http://path-to-route-folder/admin/h_s_v1_a_n_d_h_s_v2/{modulename}
```

* User
```
    http://path-to-route-folder/user/h_s_v1_a_n_d_h_s_v2/{modulename}
```

* Public
```
    http://path-to-route-folder/h_s_v1_a_n_d_h_s_v2_s
```


### API endpoints

These endpoints can be used with or without `/api/`
And also the user can be varied depend on the type of users, eg user, client, admin etc.

#### Resource

* List
```
    http://path-to-route-folder/api/user/h_s_v1_a_n_d_h_s_v2/{modulename}
    METHOD: GET
```

* Create
```
    http://path-to-route-folder/api/user/h_s_v1_a_n_d_h_s_v2/{modulename}
    METHOD: POST
```

* Edit
```
    http://path-to-route-folder/api/user/h_s_v1_a_n_d_h_s_v2/{modulename}/{id}
    METHOD: PUT
```

* Delete
```
    http://path-to-route-folder/api/user/h_s_v1_a_n_d_h_s_v2/{modulename}/{id}
    METHOD: DELETE
```

#### Public

* List
```
    http://path-to-route-folder/api/h_s_v1_a_n_d_h_s_v2/{modulename}
    METHOD: GET
```

* Single Item
```
    http://path-to-route-folder/api/h_s_v1_a_n_d_h_s_v2/{modulename}/{slug}
    METHOD: GET
```

#### Others

* Report
```
    http://path-to-route-folder/api/user/h_s_v1_a_n_d_h_s_v2/{modulename}/report/{report}
    METHOD: GET
```

* Export/Import
```
    http://path-to-route-folder/api/user/h_s_v1_a_n_d_h_s_v2/{modulename}/exim/{exim}
    METHOD: POST
```

* Action
```
    http://path-to-route-folder/api/user/h_s_v1_a_n_d_h_s_v2/{modulename}/action/{id}/{action}
    METHOD: PATCH
```

* Actions
```
    http://path-to-route-folder/api/user/h_s_v1_a_n_d_h_s_v2/{modulename}/actions/{action}
    METHOD: PATCH
```

* Workflow
```
    http://path-to-route-folder/api/user/h_s_v1_a_n_d_h_s_v2/{modulename}/workflow/{id}/{transition}
    METHOD: PATCH
```
